Boost.Locale: boost::locale::info Class Reference

| Boost.Locale

Public Types | Public Member Functions | Protected Member Functions | List of all members
boost::locale::info Class Referenceabstract

a facet that holds general information about locale More...

`#include <boost/locale/info.hpp>`

Inheritance diagram for boost::locale::info:

## Public Types
enum | string_property { language_property , country_property , variant_property , encoding_property , name_property }
| String information about the locale. More...
enum | integer_property { utf8_property }
| Integer information about locale. More...

## Public Member Functions
| info (size_t refs=0)
| Standard facet's constructor.
std::string | language () const
| Get language name.
std::string | country () const
| Get country name.
std::string | variant () const
| Get locale variant.
std::string | encoding () const
| Get encoding.
std::string | name () const
| Get the name of the locale, like en_US.UTF-8.
bool | utf8 () const
| True if the underlying encoding is UTF-8 (for char streams and strings)

## Protected Member Functions
virtual std::string | get_string_property (string_property v) const =0
| Get string property by its id v.
virtual int | get_integer_property (integer_property v) const =0
| Get integer property by its id v.

## Detailed Description

a facet that holds general information about locale

This facet should be always created in order to make all Boost.Locale functions work

## Member Enumeration Documentation

## ◆ integer_property

enum boost::locale::info::integer_property

Integer information about locale.

Enumerator
utf8_property | Non zero value if uses UTF-8 encoding.

## ◆ string_property

enum boost::locale::info::string_property

String information about the locale.

Enumerator
language_property | ISO 639 language id.
country_property | ISO 3166 country id.
variant_property | Variant for locale.
encoding_property | encoding name
name_property | locale name

The documentation for this class was generated from the following file:

- boost/locale/info.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.